<?php 

define('__STATISTICAL_TYPE_VICTIMS',1);
define('__STATISTICAL_TYPE_TRAFFICKERS',2);
define('__STATISTICAL_TYPE_VICTIMS_DESCRITION',297);
define('__STATISTICAL_TYPE_TRAFFICKERS_DESCRITION',298);

define('__STATISTICAL_TYPE_VICTIMS_MAXQUESTIONS',122);
define('__STATISTICAL_TYPE_TRAFFICKERS_MAXQUESTIONS',130);

define('__DATA_COLLECTOR_ORGANISATION',1);

/* ROLES */
define('__ROLE_SECURITY_MANAGER',1);
define('__ROLE_DATA_MANAGER',3);

/* SPECIAL USERS */
define('__USER_ADMIN',1);
define('__USER_SYSTEM',2);

/* LOVS */
define('__LOV_SYS_DATATYPE',1);
define('__LOV_SYS_VOIDREASON',2);
define('__LOV_SYS_LEVELSTRUCTURE',4);
define('__LOV_SYS_ALERTSTATUS',6);
define('__LOV_RELIABILITY',5);
define('__LOV_SOURCECHECK',7);
define('__LOV_EVENTOFREFERENCE',8);
define('__LOV_YESNOUNKNOWN',9);
define('__LOV_SEX',10);
define('__LOV_CITIZENSHIPCHECK',11);
define('__LOV_LOCATIONCHECK',12);
define('__LOV_AGECHECK',13);
define('__LOV_AGEGROUP',14);
define('__LOV_MARITALSTATUS',15);
define('__LOV_EDUCATIONALLEVEL',16);
define('__LOV_HOUSEHOLD',18);
define('__LOV_RELATIONSHIPTOSUBJECT',19);
define('__LOV_MEANSOFRECRUITMENT',20);
define('__LOV_CONDITIONSOFRECRUITMENT',21);
define('__LOV_REASONFORMIGRATION',22);
define('__LOV_MEANSOFTRANSPORTATION',23);
define('__LOV_TRAVELCOMPANIONS',24);
define('__LOV_USEOFDOCUMENTS',25);
define('__LOV_VICTIMSTATUS',26);
define('__LOV_FORMOFEXPLOITATION',27);
define('__LOV_MEANSOFCONTROL',28);
define('__LOV_MEANSOFEXIT',29);
define('__LOV_TYPEOFASSISTANCE',31);
define('__LOV_TYPEOFINVOLVEMENT',32);
define('__LOV_TRAFFICKERSTATUS',33);
define('__LOV_PROSECUTIONSERVICEDECISION',34);
define('__LOV_TIMEFREQUENCY',3);
define('__LOV_EMPLOYMENT',17);
define('__LOV_COURTDECISION',35);
define('__LOV_COURTSENTENCE',36);
define('__LOV_RESIDENCEPERMIT',30);
define('__LOV_REGISTERINGORGANISATION',39);
define('__LOV_COUNTRIES',37);
define('__LOV_RECORDSTATUS',38);
define('__LOV_PUBLISHSTATUS',40);
define('__LOV_ALERTCONTEXTS',41);
define('__LOV_SYS_DETECTIONPROCESS',42);
define('__LOV_SYS_PRIORITY',43);
define('__LOV_SYS_CLUSTERMEMBERSTATUS',44);
define('__LOV_CLUSTERSTATUS',45);
define('__LOV_RECORDSETSTATUS',46);

/* Data Structures Level*/
define('__DSD_LEVEL_CMP',18);
define('__DSD_LEVEL_NDP',19);
define('__DSD_LEVEL_LDP',20);

/* DATA STRUCTURE VOID CODE */
define('__DSD_UNPOPULATED_CODE',6);


/* ACCESS MODES */
define('__ACCESS_READ','R');
define('__ACCESS_WRITE','RW');
define('__ACCESS_FORBIDDEN','F');

/* LOG TYPES */
define ('__LOGTYPE_DATA',1);
define ('__LOGTYPE_SECURITY',2);

/* LOG LEVEL */
define ('__LOGLEVEL_AUDIT',1);
define ('__LOGLEVEL_CRUD',2);
define ('__LOGLEVEL_ERROR',3);

/*ALERT STATUS*/
define ('__ALERT_STATUS_UNREAD',25);
define ('__ALERT_STATUS_READ',26);
define ('__ALERT_STATUS_ARCHIVED',27);
define ('__ALERT_CONTEXTID_TAG','[contextid]');
define ('__ALERT_CONTEXTDESC_TAG','[contextdesc]');

/* RECORD STATUS*/
define('__RECORD_STATUS_UNCOMPLETED',299);
define('__RECORD_STATUS_COMPLETED',300);
define('__RECORD_STATUS_VALID',301);
define('__RECORD_STATUS_INVALID',302);
define('__RECORD_STATUS_DUPLICATE',304);
define('__RECORD_STATUS_WITH_ERRORS',314);
define('__RECORD_STATUS_UPDATED',584);
define('__RECORD_STATUS_FORREVIEW',303);
define('__RECORD_STATUS_UNDERREVIEW',79);

/* PUBLISHED STATUS*/
define ('__PUBLISHED_STATUS_UNPUBLISHED',307);
define ('__PUBLISHED_STATUS_PUBLISHABLE',305);
define ('__PUBLISHED_STATUS_PUBLISHED',306);

/* CLUSTER INFO */
define('__CLUSTER_STATUS_UNCONFIRMED',326);
define('__CLUSTER_STATUS_CONFIRMED',327);
define('__CLUSTER_STATUS_INPROGRESS',328);
define('__CLUSTER_STATUS_RESOLVED',329);
define('__CLUSTER_STATUS_CLOSED',330);

/* CLUSTER MEMBER INFO */
define('__CLUSTER_MEMBER_STATUS_POTENCIALDUPLICATE',321);
define('__CLUSTER_MEMBER_STATUS_NOTAPOTENCIALDUPLICATE',322);
define('__CLUSTER_MEMBER_STATUS_DUPLICATE',324);
define('__CLUSTER_MEMBER_STATUS_NOTADUPLICATE',325);
define('__CLUSTER_MEMBER_STATUS_FOLLOWUPREQUIRED',323);

define ('__CLUSTER_PRIORITY_MEDIUM',319);
define ('__CLUSTER_SYSTEM_DETECTION_PROCESS_INTERACTIVE',587);

/* DATA TYPES RESPONSES */
define ('_DATA_TYPE_RESPONSE_MAPPOINT',28);

/* SECURITY */
define ('__LOGIN_ATTEMPTS',3);

/*NFP INFO */
define ('__EXPORT_FILE_PATH','c:/mosyStorage');
define ('__NFP_CODE',17);

/* RECORDSET INFO */
define ('__RECORDSET_STATUS_CONFIRMED',331);
define('__RECORDSET_STATUS_INPROGRESS',332);
define('__RECORDSET_STATUS_RESOLVED',333);
define('__RECORDSET_STATUS_INVALID',334);

/* INDICATORS FORMATS */
define('__INDICATOR_FORMAT_NUMBER',588);
define('__INDICATOR_FORMAT_PERCENT',589);
define('__INDICATOR_FORMAT_MONEY',590);

define('__SYSTEM_START_YEAR',2014);


// AUTHORIZATIONS
define('__AUTHORIZATIONS',serialize(
							array('settings' => array(
												'DM' => 'RW',
												'DA' => 'R'
												),
							'languages' => array(
												'DM' => 'RW',
												'DA' => 'R'
												),		
							'commonmodel' => array(
												'DM' => 'RW',
												'DA' => 'R'
												),
							'nationalprofile' => array(
												'DM' => 'RW',
												'DA' => 'R'
												),
							'localprofile' => array(
												'DM' => 'RW',
												'DA' => 'R'
												),	
							'provisionagreement' => array(
												'DM' => 'RW',
												'DA' => 'R'
												),
							'editforms' => array(
												'DM' => 'RW',
												'DA' => 'R'
												),	
							'organizations' => array(
												'SM' => 'RW',
												'SA' => 'R'
												),		
							'users' => array(
												'SM' => 'RW',
												'SA' => 'R'
												),		
							'collectdata' => array(
												'LC' => 'RW',
												'LA' => 'RW',
												'LP' => 'RW'
												),
							'duplicates' => array(
												'NC' => 'RW',
												'NA' => 'RW',
												'NP' => 'R',
												'DM' => 'R',
												'DA' => 'R'
												),
							'dataaudit' => array(
												'DM' => 'RW',
												'DA' => 'RW'
												),								
							'securityaudit' => array(
												'SM' => 'RW',
												'SA' => 'RW'
												),
												
							'nfpcollect' => array('NC' => 'RW',
												'DM' => 'R',
												'DA' => 'R'
												)	,
												
							'comparerecords' => array('NC' => 'RW',
													 'NA' => 'RW',
												'DM' => 'R',
													 'DA' => 'R'
												) ,
												
							'recorddetail' => array('NC' => 'RW',
													 'NA' => 'RW',
													 'NP' => 'RW',
												'DM' => 'R',
													 'DA' => 'R'
												),

							'clusterdetail' => array('NC' => 'RW',
													 'NA' => 'RW',
													 'NP' => 'R',
												'DM' => 'R',
													 'DA' => 'R'
												),	
												
							'recordconsolidation' => array('NC' => 'R',
												'NA' => 'RW',
												'NP' => 'R',
												'DM' => 'R',
												'DA' => 'R'
												),

							'nfpanalyse' => array('NA' => 'RW'
												)	,
												
							
							'nfppublish' => array('NP' => 'RW',
												'DM' => 'R',
												'DA' => 'R'
												)		,
							
							'clusters' => array('NC' => 'RW',
												'NA' => 'RW',
												'DM' => 'R',
												'DA' => 'R'
												)			,										

							'recordsets' => array('NC' => 'R',
												'NA' => 'RW',
												'NP' => 'R',
												'DM' => 'R',
												'DA' => 'R'
												)	,
							'websig' => array(
                                                                'NC' => 'RW',
                                                                'NA' => 'RW',
                                                                'NP' => 'RW',
                                                                'LC' => 'RW',
                                                                'LA' => 'RW',
                                                                'LP' => 'RW',
                                                                'OM' => 'RW'
												),
                                                        'websigservices' => array(
											'DM' => 'RW'
												),
							'nfpexport' => array('NP' => 'RW'
												),		
							'efpwsget' => array('ANONYMOUS'=>'RW'
												),		

							'ws' => array('ANONYMOUS'=>'RW'),
							
							'testing' => array('ANONYMOUS'=>'RW'
												),														
																								
							'reports' => array(
                                                                'NC' => 'RW',
                                                                'NA' => 'RW',
                                                                'NP' => 'RW',
                                                                'LC' => 'RW',
                                                                'LA' => 'RW',
                                                                'LP' => 'RW',
                                                                'OM' => 'RW'
                                                 )
							)));

define('__AUTHORIZATIONS_HOSTS',serialize(array('testing'=>'::1',
										'efpwsget'=>'::1')));


?>